%define ver 0.10.1
%define rel 2mdk

Summary:	Lib for configuration or preference files compatible GNUstep/OPENSTEP
Name:		libPropList
Version:	%{ver}
Release:	%{rel}
Copyright:	GPL/LGPL (see files COPYING and COPYING.LIB in /usr/doc/libPropList)
Group:		System/Libraries

Source:		ftp://ftp.windowmaker.org/libs/libPropList-%{version}.tar.bz2

Buildroot:	%{_tmppath}/libPropList-root
Obsoletes:	wmakerconf <= 2.5-1mdk

%description
The purpose of PL is to closely mimic the behavior of the property
lists used in the GNUstep/OPENSTEP (they're formed with the NSString,
NSData, NSArray and NSDictionary classes) and to be duly compatible.

PL enables programs that use configuration or preference3 files to
make these compatible with GNUstep/OPENSTEP's user defaults
handling mechanism, without needing to use Objective-C or GNUstep/
OPENSTEP themselves.


%package devel
Summary:	Lib for configuration or preference files compatible GNUstep/OPENSTEP
Group:		Development/C

%description devel
lists used in the GNUstep/OPENSTEP (they're formed with the NSString,
NSData, NSArray and NSDictionary classes) and to be duly compatible.

PL enables programs that use configuration or preference3 files to
make these compatible with GNUstep/OPENSTEP's user defaults
handling mechanism, without needing to use Objective-C or GNUstep/
OPENSTEP themselves.

This packge contains Static libraries and header files needs for development.

%prep 

%setup -q 

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make

%install
make install prefix=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO
/usr/lib/libPropList.so
/usr/lib/libPropList.so.0
/usr/lib/libPropList.so.0.2.2

%files devel
%defattr(-,root,root)
/usr/lib/libPropList.a
/usr/lib/libPropList.la
/usr/include/proplist.h

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10.1-2mdk
- Make rpmlint happy

* Tue Apr 03 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10.1-1mdk
- 0.10.1

* Fri Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10.0-2mdk
- Split in two packages (normal and devel)

* Fri Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10.0-1mdk
- 0.10.0
- Use new Groups
- Use %%{_tmppath} for BuildRoot
- Clean spec

* Mon Nov 29 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Back to 0.9.1 (WindowMaker seems unstable with 0.9.2)
- Add a defattr

* Mon Oct 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.9.2

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed Summary, it was too large

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last CVS version from Mon Jun 28 1999.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- packaged independently
